Package de.willuhn.jameica.hbci.rmi

# Enum Class SepaLastType

java.lang.Object
java.lang.Enum<SepaLastType>
de.willuhn.jameica.hbci.rmi.SepaLastType

All Implemented Interfaces:
  `Serializable`, `Comparable<SepaLastType>`, `Constable`

public enum SepaLastType extends Enum<SepaLastType>
Die verschiedenen Typen bei SEPA-Lastschriften.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`B2B`
B2B-Lastschrift
`COR1`
Basis-Lastschrift mit verkuerztem Vorlauf.
`CORE`
Basis-Lastschrift

## Field Summary

Fields
Modifier and Type
Field
Description
`static SepaLastType`
`DEFAULT`
Der Default-Typ (CORE).

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Liefert einen sprechenden Namen fuer den Typ.
`String`
`getJobName()`
Liefert den zugehoerigen HBCI-Job-Namen von HBCI4Java.
`String`
`getMultiJobName()`
Liefert den zugehoerigen HBCI-Job-Namen von HBCI4Java fuer den Sammel-Auftrag.
`String`
`toString()`
`static SepaLastType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SepaLastType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CORE

public static final SepaLastType CORE
Basis-Lastschrift

### COR1

public static final SepaLastType COR1
Basis-Lastschrift mit verkuerztem Vorlauf.

### B2B

public static final SepaLastType B2B
B2B-Lastschrift

## Field Details

### DEFAULT

public static SepaLastType DEFAULT
Der Default-Typ (CORE).

## Method Details

### values

public static SepaLastType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SepaLastType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getJobName

public String getJobName()
Liefert den zugehoerigen HBCI-Job-Namen von HBCI4Java.

Returns:
  der zugehoerige HBCI-Job-Name von HBCI4Java.

### getMultiJobName

public String getMultiJobName()
Liefert den zugehoerigen HBCI-Job-Namen von HBCI4Java fuer den Sammel-Auftrag.

Returns:
  der zugehoerige HBCI-Job-Name von HBCI4Java fuer den Sammel-Auftrag.

### getDescription

public String getDescription()
Liefert einen sprechenden Namen fuer den Typ.

Returns:
  sprechender Name fuer den Typ.

### toString

public String toString()

Overrides:
  `toString` in class `Enum<SepaLastType>`